Subject: Re: git init permissions?

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Tue, 14 Apr 2009 21:35:52 +0200

Johan Herland wrote:
> On Tuesday 14 April 2009, Ferry Huberts (Pelagic) wrote:
>> I'm looking at the git init --shared=group result and see:
>>
>> drwxrwsr-x 7 ferry ferry  111 2009-04-14 19:51 .
>> drwxrwxr-x 3 ferry ferry   17 2009-04-14 19:51 ..
>> drwxrwxr-x 2 ferry ferry    6 2009-04-14 19:51 branches
>> -rw-rw-r-- 1 ferry ferry  127 2009-04-14 19:51 config
>> -rw-rw-r-- 1 ferry ferry   58 2009-04-14 19:51 description
>> -rw-rw-r-- 1 ferry ferry   23 2009-04-14 19:51 HEAD
>> drwxrwxr-x 2 ferry ferry 4.0K 2009-04-14 19:51 hooks
>> drwxrwxr-x 2 ferry ferry   20 2009-04-14 19:51 info
>> drwxrwsr-x 4 ferry ferry   28 2009-04-14 19:51 objects
>> drwxrwsr-x 4 ferry ferry   29 2009-04-14 19:51 refs
>>
>> Is there some kind of reason that the branches directory is
>> not created with +s permissions?
>>
>> I can understand it for the hooks and info directories since
>> you can not push into those. You _can_ however push into
>> branches and I would expect it to have +s too, like objects
>> and refs.
>>
>> Bug or my misunderstanding?
>>
>> git version 1.6.0.6
> 
> This was caused by the template files not getting adjusted permissions set 
> correctly when copied into a new repository (by git init).
> 
> This has been fixed (along with other --shared issues) in v1.6.2.3. Please 
> upgrade, if possible.
> 

unfortunately that's not possible since I'm on RHEL.

thanks for the asnwers guys!